# Fee Sponsors

Typically submitting transactions to a blockchain requires the sender to pay a small amount of fees called gas fees. These fees compensate network participants, such as miners or validators, for the computational resources needed to execute transactions, smart contracts, and other operations. What it means in practice is that for users to transfer some stable coins such as `USDC`, they must also hold a small amount of the native tokens of the blockchains used to pay the gas fees. This creates friction because you must constantly top up all your wallets in order for them to stay functional.

The Fee Sponsor enables you to sponsor gasless transactions for your custodial wallets via the [Transfers API](/d/api-docs/wallets/transfer-asset.md). This allows you to manage a small set of fee sponsor wallets with native tokens and use them to pay gas fees for other wallets.

To sponsor a transfer,

* [Designate](/d/api-docs/fee-sponsors/create-fee-sponsor.md) a Dfns wallet as the fee sponsor. See below for supported networks.
* Fund the fee sponsor wallet with some native tokens.
* Specify the `feeSponsorId` when [creating a transfer request](/d/api-docs/wallets/transfer-asset.md). Note that the sponsor and sponsoree wallets must be for the same network.

{% hint style="info" %}
The fee sponsor feature only works for custodial wallets. Delegated wallets are not supported for now.
{% endhint %}

### Supported networks

Not all networks support this feature. You can create fee sponsors for the following supported networks.

| Mainnets         | Testnets                           |
| ---------------- | ---------------------------------- |
| `ArbitrumOne` \* | `ArbitrumSepolia`                  |
| `Base` \*        | `BaseSepolia`                      |
| `Berachain` \*   | `BerachainBepolia`                 |
| `Bsc` \*         | `BscTestnet`                       |
| `Ethereum` \*    | `EthereumSepolia`, `EthereumHoodi` |
| `Optimism` \*    | `OptimismSepolia`                  |
| `Polygon` \*     | `PolygonAmoy`                      |
| `Solana`         | `SolanaDevnet`                     |
| `Stellar`        | `StellarTestnet`                   |

{% hint style="info" %}
\* The EVM fee sponsor is currently in beta. The implementation leverages [EIP-7702](https://eips.ethereum.org/EIPS/eip-7702) that turns your EOA into a smart contract account. When you use this feature, the on chain account of the sponsoree wallet will become a smart contract. You can view the source code of the smart contract we use [here](https://github.com/dfns/dfns-smart-account).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/fee-sponsors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
